# SPEC file for Copy Link Name extension

%define rname	copy_link_name
%define version 1.2.4
%define release alt1
%define cid 	\{103B2EA2-F063-4273-958D-6B46E5B6F98C\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary: copies the name of a link
Summary(ru_RU.UTF-8): копирует имя ссылки

License:	GPL
Group:		Networking/WWW
URL:		https://addons.mozilla.org/firefox/553/
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%rname-%version-fx+mz.xpi

BuildRequires(pre):	rpm-build-firefox
BuildRequires:	unzip
Requires: 	%firefox_name >= %firefox_version

%description
'Copy Link Name' is a small extension for Mozilla and Firefox
that adds a context menu item to copy a link's source anchor.

%description -l ru_RU.UTF-8
'Copy Link Name' - небольшое расширение для Mozilla и Firefox,
добавляет  в контекстное  меню пункт,  позволяющий скопировать
название гипертекстовой ссылки.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
touch %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.4-alt1
- New version
  * Added sv-SE, sk-SK, ro-RO, hu-HU, hr-HR, es-AR, uk-UA and ar translations

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt3
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt2
- Rebuild with firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.3-alt1
- New version 1.2.3
  * Adding several new translations
  * Testing with Firefox 2 beta 1

* Tue Jun 20 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt2
- Rebuild with firefox 1.5.0.4

* Wed May 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt1
- First build for ALT Linux

* Sun May 21 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.2.2-alt0
- Initial build
